This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 719552 - Formate templates (i.e headers) not always setting correct format.
Formate templates (i.e headers) not always setting correct format.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
15
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-07 06:19 EDT by David
Modified: 2011-07-11 04:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-11 03:32:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Document that show how to reproduce bug on my computer. (10.31 KB, application/vnd.oasis.opendocument.text)
2011-07-07 06:19 EDT, David
no flags Details

  None (edit)
Description David 2011-07-07 06:19:01 EDT
Created attachment 511663 [details]
Document that show how to reproduce bug on my computer.

Description of problem:
This problem occur in the program libreoffice writer.
When combining use of format templates (like Predefined headers and stuff), own format and copying and pasting format (the brush thing), the format templates does not work as expected. The problem seems to occur randomly but has occurred in all sufficiently long document were I used
*headers,
*my own format template and
*copied format with the brush tool.
The wrong behaviour of the format templates consist in that all changes does not take place. It seems like the template inherits some of the changes in the texts format (text size, font).
The desired behaviour is for the format template to change all format options according to the template.  

Version-Release number of selected component (if applicable):
LibreOffice 3.3.3 
OOO330m19 (Build:301)
Ver: 3.3.3.1-1.fc15

How reproducible:
Write text using headers, create own format templates and copy format with brush, if needed repeatedly. I have not find the trigger, but the problem often occur before the first page is complete.

Steps to Reproduce:
See file Bugg.odt.
  
Actual results:
Changing formate template (i.e. to a header) does not give correct format. When the problem first occurred is seams to be resident in the document. New document does not have the problem at first.

Expected results:
Changing format template should change the format to the format specified in the template.

Additional info:
Se attached file. The document is written from top to bottom without changes being made other than copying formats with the brush were indicated. My own created format is named Bash.
Comment 1 Caolan McNamara 2011-07-07 06:34:48 EDT
Can't really parse this bug description, unsure what you mean by a "format template".

caolanm->dtardon: I see the words "brush/bucket", is the related to bug 708049 ?
Comment 2 David 2011-07-07 07:11:04 EDT
I checked bug 708049. It is not the same. Sorry for my English, I'm not sure about all the word processing terms. The brush is the brush used to paste formats, not a brush used to fill with colour.

What i thought is called "Formate template" is the predefined formats, like headings,(which I seem to call headers above which of cause means something else). In the English manual for libreoffice the window to change format templates is called "Styles and Formatting" Maybe the correct term is "Style"?

Is it possible to follow the attached .odt file, or is this gibberish as well?
Comment 3 David Tardon 2011-07-11 03:32:08 EDT
If I understand the report correctly, this is just a misunderstanding of the interaction of styles and direct formatting. Some observations that apply here:

1. The "Format paintbrush" (on the Standard toolbar between Paste and Undo) applies direct format to the target selection (in the same way one selects a piece of text and clicks on Bold on toolbar).

2. Any character style or direct format applied _at the end_ of a paragraph is continued automatically if one starts another paragraph (by pressing enter).

3. A formatting attribute from direct format has higher priority than corresponding attribute from a style.

Therefore if you apply the selected format at the end of the paragraph in section 3 and press enter, it is actually the right behaviour that the same format continues on the new paragraph .-) You can revert it by Format->Clear direct formatting (Ctrl+M) at the beggining of the new paragraph.
Comment 4 David 2011-07-11 04:00:09 EDT
(In reply to comment #3)

Ok!

Thanks!
David

Note You need to log in before you can comment on or make changes to this bug.